Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_ensure_entry Struct Reference

`#include <vm_core.h>`

## Data Fields
VALUE | marker
VALUE(* | e_proc )(ANYARGS)
VALUE | data2

## Detailed Description

Definition at line 513 of file vm_core.h.

## Field Documentation

VALUE rb_ensure_entry::data2

Definition at line 516 of file vm_core.h.

Referenced by rb_ensure(), and rollback_ensure_stack().

VALUE(* rb_ensure_entry::e_proc)(ANYARGS)

Definition at line 515 of file vm_core.h.

Referenced by rb_ensure(), and rollback_ensure_stack().

VALUE rb_ensure_entry::marker

Definition at line 514 of file vm_core.h.

Referenced by cont_capture(), rb_ensure(), and rollback_ensure_stack().

The documentation for this struct was generated from the following file:

- vm_core.h